# $Id: smeserver-pxe.spec,v 1.0 2022/04/28 18:45:26 brianr Exp $
# Authority: nocvs
# Name: Trevor Batley

Summary: Allow pxeboot of client machines over network
%define name smeserver-pxe
Name: %{name}
%define version 0.1
%define release 4
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Network
Source: %{name}-%{version}.tar.xz
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Requires: e-smith-base
BuildRequires: e-smith-devtools >= 1.13.1-03
AutoReq: yes

%description
Global settings for dhcp to allow clients to network boot. 
Assumes sme server is acting as dhcp server.

%changelog
* Sat Jul 2 2022 Trevor Batley ,trevor@batley.id.au> 0.1-4.sme
- add event smeserver-pxe-update to trigger dhcpd restart via creatlinks [12087]
 
* Sat May 28 2022 Trevor Batley <trevor@batley.id.au> 0.1-3.sme
- Remove incorrect = sign from nextserver parameter and enclsing "'s

* Mon May 09 2022 Trevor Batley <trevor@batley.id.au> 0.1-2.sme
- Set default architecture executables to Centos 7 defaults [SME 11969]
 
* Thu Apr 28 2022 Trevor Batley <trevor@batley.id.au> 0.1-1.sme
- Initial release [SME 10821]
- Split of PXE Global parameters out of smeserver-thinclient
- Allow for different architectures (including UEFI booting)

%prep

%setup -q -n %{name}-%{version}

%build
perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist

%defattr(-,root,root)

%pre

%preun

%post

%postun
